Subject: Re: EUC

From: H u a n g Yolin <[email-masked]>
Date: Sat, 10 Oct 1992 10:55:37 EDT

|Date:         Wed, 7 Oct 1992 20:29:25 PST
|From:         "(Chang Fon-min)" <[email-masked]>
|Subject:      ABout EUC ( Extend Unix Code )

|	Did you had heard about the EUC code ? And can you give me some
|suggests about it ? Because I just understand it that is 2-4 bytes
|Chinese Code , but I really want to know more information about it ?

EUC is a fairly recent development for rendering the Han script (Kan Ji)
for 8-bit-wise computation in Japan.  There are software supporting this
code.  (Readers please correct me, if I was wrong.)

The following excerpt comes from Ken Lunde's compilation:

------------------------------------------------------------
2.2: EUC (EXTENDED UNIX CODE)
     EUC consists of four code sets, the primary code set (code set 0) which
is the ASCII 7-bit character set, and three supplemental code sets (code sets
1, 2, and 3) which can be specified by the user, and are usually used for non-
Roman characters. Code set 1 includes the characters of JIS X 0208-1990, code
set 2 is used for half-width katakana, and code set 3 is used for user-defined
characters. The following table lists the code specifications for all the code
sets of EUC.

                 DECIMAL            OCTAL              HEXADECIMAL
  Code set 0 (ASCII):
    first byte   033-126            041-176            21-7E
  Code set 1 (JIS X 0208-1990):
    first byte   161-254            241-376            A1-FE
    second byte  161-254            241-376            A1-FE
  Code set 2 (Half-width katakana):
    first byte   142                216                8E
    second byte  161-223            241-337            A1-DF
  Code set 3 (User-defined characters):
    first byte   143                217                8F
    second byte  161-254            241-376            A1-FE
    third byte   161-254            241-376            A1-FE
------------------------------------------------------------

Ken R. Lunde ([email-masked])'s extensive JAPAN.INF (version 1.2.) can
be found at

ucdavis.edu (128.120.2.1) in the pub/JIS directory, and at
msi.umn.edu (128.101.24.1) in the pub/nihongo directory.

in 3 parts:
  japan1.inf
  japan2.inf
  japan3.inf <- this part has all the appendices

size about 170K.